/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ACTIONMOVETREE_H
#define ACTIONMOVETREE_H

#include "actioncopytree.h"


namespace sh{
    namespace actions{
        namespace common {

            /** \brief
             * Action moving a filesystem tree to some other place.
             */
            class ActionMoveTree : public sh::actions::common::ActionCopyTree
            {
                Q_OBJECT
            public:
                ActionMoveTree(QList<std::shared_ptr<const sh::base::Eurl>> sources, std::shared_ptr<const sh::base::Eurl> destination);
                void action(sh::actions::ActionExecutionInfo* info);
            };

        }
    }
}

#endif // ACTIONMOVETREE_H
