/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ACTIONSHOWPROPERTIES_H
#define ACTIONSHOWPROPERTIES_H

#include "actions/actionactionitem.h"


namespace sh{
    namespace base { class FilesystemNode; }
    namespace actions{
        namespace common {

            /** \brief
             * Action for showing the properties dialog for filesystem nodes.
             */
            class ActionShowProperties : public sh::actions::ActionActionItem
            {
                Q_OBJECT
            public:
                explicit ActionShowProperties(QList<std::shared_ptr<sh::base::FilesystemNode>> nodes);
                /** \brief
                 * Only called by the Shallot infrastructure for initialization.
                 */
                static void _initialize();
                /** \brief
                 * Only called by the Shallot infrastructure for initialization.
                 */
                static void _shutdown();
            protected:
                virtual void action(sh::actions::ActionExecutionInfo* info);
                virtual void initialize();
                QList<std::shared_ptr<sh::base::FilesystemNode>> _nodes;
            };

        }
    }
}

#endif // ACTIONSHOWPROPERTIES_H
