/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "tools/mainthread.h"
#include "tools/thumbnailmanager.h"
#include "ui/mainwindow.h"
#include "ui/filesystempanel.h"
#include "ui/fileview/fileview.h"
#include "actionrefresh.h"


sh::actions::mainmenu::ActionRefresh::ActionRefresh()
    : sh::actions::ActionActionItem(tr("&Refresh"), true, "view-refresh")
{
    setShortcuthint(QKeySequence(Qt::Key_F5));
}

void sh::actions::mainmenu::ActionRefresh::action(sh::actions::ActionExecutionInfo*)
{
    sh::tools::MainThread::dispatcher()->invokeSync([&](){
        sh::tools::ThumbnailManager::instance()->invalidateCache();
        sh::ui::MainWindow::mainWindow()->filesystemPanel()->reloadAll(true);
    });
}
