/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "tools/mainthread.h"
#include "ui/mainwindow.h"
#include "ui/filesystempanel.h"
#include "actiontreestickyness.h"


sh::actions::viewmenu::ActionTreeStickyness::ActionTreeStickyness()
    : sh::actions::ActionActionItem(tr("Tree follows &current folder"), true, QString(), 0, true)
{
    connect(sh::ui::MainWindow::mainWindow(), &sh::ui::MainWindow::viewOptionChanged, this, [=](){
        configure();
    });
    configure();
}

void sh::actions::viewmenu::ActionTreeStickyness::configure()
{
    _set = !sh::ui::MainWindow::mainWindow()->treeSticky();
    setChecked(!_set);
}

void sh::actions::viewmenu::ActionTreeStickyness::action(sh::actions::ActionExecutionInfo*)
{
    sh::tools::MainThread::dispatcher()->invokeSync([&](){
        sh::ui::MainWindow::mainWindow()->setTreeSticky(_set);
    });
}
