/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ACTIONVIEW_H
#define ACTIONVIEW_H

#include "actions/submenuactionitem.h"


namespace sh{
    namespace actions {
        namespace viewmenu {

            /** \brief
             * Submenu action providing the Shallot view menu (nearby the main menu).
             */
            class ActionView : public sh::actions::SubmenuActionItem
            {
                Q_OBJECT
            public:
                /** \brief
                 * Returns the instance of this singleton.
                 */
                static std::shared_ptr<ActionView> instance();
                /** \brief
                 * Only called by the Shallot infrastructure for initialization.
                 */
                void _initialize();
                /** \brief
                 * Only called by the Shallot infrastructure for shutdown.
                 */
                void _shutdown();
            protected:
                ActionView();
                void initialize();
                static std::shared_ptr<ActionView> _instance;
            };

        }
    }
}

#endif // ACTIONVIEW_H
