/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PROGRAMEXCEPTION_H
#define PROGRAMEXCEPTION_H

#include "exception.h"


namespace sh{
    namespace tools{class ThreadPoolThread;}

    namespace exceptions {

        /** \brief
         * Shallot exception for internal bugs in Shallot.
         * It optionally allows resume but no retry (special cases may override each of them).
         */
        class ProgramException : public Exception
        {
        public:
            ProgramException(ExceptionData data);

        };

    }
}

#endif // PROGRAMEXCEPTION_H
