/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GNOMEIOGENERICFILESYSTEMHANDLER_H
#define GNOMEIOGENERICFILESYSTEMHANDLER_H

#include "gnomeiofilesystemhandler.h"


#ifdef GIO

namespace sh{
    namespace filesystemhandlers {

        /** \brief
         * A filesystem handler for common/unspecial GIO filesystem parts.
         *
         * This is a generic non-abstract implementation without special behavior.
         */
        class GnomeIOGenericFilesystemHandler : public sh::filesystemhandlers::GnomeIOFilesystemHandler
        {
            Q_OBJECT
        public:
            explicit GnomeIOGenericFilesystemHandler(sh::base::FilesystemModel* model);

        };

    }
}

#endif

#endif // GNOMEIOGENERICFILESYSTEMHANDLER_H
