/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef APIDETAILCOLUMN_H
#define APIDETAILCOLUMN_H

#include <functional>
#include "base/detailcolumn.h"


namespace sh{
    namespace scripting {
        namespace api {

            class ApiDetailColumn : public sh::base::DetailColumn
            {
            public:
                ApiDetailColumn(QString name, QString displayName, int displayIndex, bool sort_doTypediff, int defaultWidth, bool isRightAligned);
                virtual QVariant determineValue(std::shared_ptr<sh::base::FilesystemNode> node, sh::base::Operation *op);
                virtual void applyValue(std::shared_ptr<const sh::base::Eurl> eurl, sh::base::Operation* op, QVariant value);
                std::function<QString (std::shared_ptr<sh::base::FilesystemNode>, sh::base::Operation*)> _determineValue;
                std::function<void (std::shared_ptr<sh::base::Eurl>, sh::base::Operation*, QString)> _applyValue;
            };

        }
    }
}

#endif // APIDETAILCOLUMN_H
