/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef APIFILESYSTEMOPERATIONPROGRESSMONITOR_H
#define APIFILESYSTEMOPERATIONPROGRESSMONITOR_H

#include "base/filesystemoperationtransfers.h"


namespace sh{
    namespace scripting {
        namespace api {

            class ApiFilesystemOperationProgressMonitor: public sh::base::FilesystemOperationProgressMonitor
            {
            public:
                ApiFilesystemOperationProgressMonitor(sh::actions::ActionExecutionInfo* actionExecution);
                std::function<void ()> _changed;
                std::function<bool (QList<sh::base::FilesystemOperationTransfers::OperationStep*>)> _resolveConflicts;
            protected:
                virtual void changed();
                virtual void resolveConflicts(QList<sh::base::FilesystemOperationTransfers::OperationStep*> conflictsteps);
            };

        }
    }
}

#endif // APIFILESYSTEMOPERATIONPROGRESSMONITOR_H
