/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef APIPREDICATEDACTIONFACTORY_H
#define APIPREDICATEDACTIONFACTORY_H

#include "actions/actionfactory.h"


namespace sh{
    namespace scripting {
        namespace api {

            class ApiActionFactory : public sh::actions::AbstractActionFactory
            {
            public:
                ApiActionFactory(QString category, QList<std::shared_ptr<actions::Predicate> > predicates);
                virtual std::shared_ptr<sh::actions::AbstractActionItem> construct(QList<std::shared_ptr<sh::base::FilesystemNode>> nodes);
                std::function<std::shared_ptr<sh::actions::AbstractActionItem> (QList<std::shared_ptr<sh::base::FilesystemNode>> nodes)> _construct;

            };

        }
    }
}

#endif // APIPREDICATEDACTIONFACTORY_H
