/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef APISETTING_H
#define APISETTING_H

#include "settings/setting.h"


namespace sh{
    namespace scripting {
        namespace api {

            class ApiSetting : public sh::settings::Setting
            {
            public:
                ApiSetting(QString name, QString description, sh::settings::SettingGroup group, bool isAdvancedSetting, bool isGlobal, bool isPerFileview);
                virtual QString name();
                virtual QString description();
                virtual sh::settings::SettingGroup group();
                virtual bool isAdvancedSetting();
                virtual void setValue(QString value);
                virtual void setValue(sh::ui::fileview::FileViewControl *filelist, QString value );
                virtual QString getValue(sh::ui::fileview::FileViewControl *filelist );
                virtual bool isGlobal();
                virtual bool isPerFileview();
                virtual QString valueDescription(QString value);
                std::function<void (QString)> _setValue1;
                std::function<void (int, QString)> _setValue2;
                std::function<QString (int)> _getValue;
                std::function<QString (QString)> _valueDescription;

                QString _name;
                QString _description;
                sh::settings::SettingGroup _group;
                bool _isAdvancedSetting;
                bool _isGlobal;
                bool _isPerFileview;
            };

        }
    }
}

#endif // APISETTING_H
