/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef APITHUMBNAILPROVIDER_H
#define APITHUMBNAILPROVIDER_H

#include "tools/thumbnailmanager.h"


namespace sh{
    namespace scripting {
        namespace api {

            class ApiThumbnailProvider : public sh::tools::ThumbnailProvider
            {
            public:
                ApiThumbnailProvider();
                virtual void getThumbnail(sh::base::Operation* operation, std::shared_ptr<sh::base::FilesystemNode> node, QString contentType, int width, int height, QIcon* icon);

                std::function<QByteArray(sh::base::Operation*, std::shared_ptr<sh::base::FilesystemNode>, QString, int, int)> _getThumbnail;

            };

        }
    }
}

#endif // APITHUMBNAILPROVIDER_H
