import shallot

# Settings are the part of shallot customization which is volatile at first and
# can be stored in profiles, per directories, per fileviews, and so on (see
# documentation for details).
# Subclasses of shallot.Setting implement such a setting.

label = "maracuja" # an arbitrary label which is shown in context menu,
                   # can be changed by clicking and is controlled via
                   # a setting.

class MySetting(shallot.Setting):

    def __init__(self):
        shallot.Setting.__init__(self, "mysetting", "My setting", shallot.Setting.GroupInfo.Behavior)

    def set_value(self, val):
        global label
        label = val

    def get_value(self, viewindex):
        return label

    def value_description(self, val):
        return "label is '{}'".format(val)

# Registers MySetting.
shallot.Setting.register(MySetting())


class MyAction(shallot.Actions.ActionAction):

    def __init__(self, nodes):
        shallot.Actions.ActionAction.__init__(self, "Label: " + label, icon=label)

    def action(self, info):
        global label
        answer = info.userfeedback().simple_inputbox("Label:", label)
        if answer is not None:
            label = answer


shallot.Actions.register(MyAction, predicates=[shallot.Actions.HideOnSelectionLevelPredicate()])
