import shallot

# This plugin show how to add custom search criterion for file searches.

class FunnySearchCriterion(shallot.FileSearch.SearchCriterion):

    def __init__(self, factory):
        shallot.FileSearch.SearchCriterion.__init__(self, factory)

    def configure(self, info):
        answers = ["err", "ih", "bou", "foo"]
        r = info.userfeedback().messagebox("Which text do you want to find in the file path?", answers + ["Cancel"], None, -1, len(answers))
        if r < len(answers):
            return [answers[r]]
        else:
            return None

    def match(self, op, eurl):
        return self.searchspec()[0] in eurl.as_string()


class FunnySearchCriterionFactory(shallot.FileSearch.SearchCriterionFactory):

    def __init__(self):
        shallot.FileSearch.SearchCriterionFactory.__init__(self, "funny", FunnySearchCriterion, "Funny things in file path")

    def get_searchspec_description(self, val):
        return "Text '" + val[0] + "' in file path"

    def is_visible_for(self, op, node):
        return True


shallot.FileSearch.SearchCriterionFactory.register(FunnySearchCriterionFactory())
