import shallot
import time

# The namespace shallot.Bookmarks is provides everything for bookmark management.
# You can add own bookmarks dynamically and also change and remove bookmarks.

class MyActionMenu(shallot.Actions.SubmenuAction):

    def __init__(self, nodes):
        shallot.Actions.SubmenuAction.__init__(self, "My Bookmark Plugin", icon="dialog-warning")

    def initialize(self):
        self.set_subitems([CreateBookmarkAction(),
                          RemoveAllBookmarksAction()])


class CreateBookmarkAction(shallot.Actions.ActionAction):

    def __init__(self):
        shallot.Actions.ActionAction.__init__(self, "Create a search bookmark")

    def action(self, info):
        s = info.userfeedback().simple_inputbox("Hello my friend. This creates bookmarks for file searches. Please specify a search term. Some characters are forbidden.",  "Foo")
        if s:
            myeurl = "search:/[file:///]/:content=simple:{}/".format(s)
            shallot.Bookmarks.add_bookmark(shallot.Eurl.from_string(myeurl),
                                                                    label="Search for '{}'".format(s),
                                                                    folder=["myplugin","searches"],
                                                                    tags="MYPLUGIN")  # 'tags' are for our internal bookkeeping, so we can find our own bookmarks later


class RemoveAllBookmarksAction(shallot.Actions.ActionAction):

    def __init__(self):
        shallot.Actions.ActionAction.__init__(self, "Delete everything created with this plugin")

    def action(self, info):
        for bookmark in shallot.Bookmarks.get_bookmarks():
            if bookmark.tags() == "MYPLUGIN":
                shallot.Bookmarks.remove_bookmark(bookmark.id())


shallot.Actions.register(MyActionMenu, predicates=[shallot.Actions.HideOnSelectionLevelPredicate()])


