/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SEARCHCUSTOMUI_H
#define SEARCHCUSTOMUI_H

#include <memory>
#include <QCheckBox>
#include <QWidget>


namespace sh{
    namespace ui { class LinkButton; }
    namespace base { class Eurl; class Operation; class FilesystemNode; }

    namespace search{

        class SearchConfiguration;

        class SearchCustomUi : public QWidget
        {
            Q_OBJECT
        public:
            explicit SearchCustomUi(std::shared_ptr<sh::base::FilesystemNode> node, QWidget *parent = 0);
            ~SearchCustomUi();
        protected:
            sh::ui::LinkButton* makeAuxButton();
            std::shared_ptr<const sh::base::Eurl> _eurl ;
            std::shared_ptr<sh::base::FilesystemNode> _node;
            void populateUI();
            sh::search::SearchConfiguration* cfg;
            QWidget* critwidget;
            QWidget* auxbtnpanel;
            QCheckBox* chkTree;
            sh::ui::LinkButton* btnSearch;
            void startSearch();
            void closeSearch();
            void modeChangeMenu();
            sh::ui::LinkButton* btnMode;
            bool eventFilter(QObject* o, QEvent* e);
            void keyPressEvent(QKeyEvent* e);
            void setLoadingInfoVisible(bool v);
        };

    }
}

#endif // SEARCHCUSTOMUI_H
