/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#include "ui/mainwindow.h"
#include "ui/fileview/fileview.h"
#include "ui/fileview/fileviewcontrol.h"
#include "fileviewiconlistthumbdimension.h"


REGISTER_SETTING(sh::settings::common::FileViewIconListThumbDimension)

sh::settings::common::FileViewIconListThumbDimension::FileViewIconListThumbDimension()
{
}

QString sh::settings::common::FileViewIconListThumbDimension::name()
{
    return "file-view-icon-list-thumb-dimension";
}

QString sh::settings::common::FileViewIconListThumbDimension::description()
{
    return QObject::tr("Thumbnail size");
}

sh::settings::SettingGroup sh::settings::common::FileViewIconListThumbDimension::group()
{
    return sh::settings::SettingGroup::GUI;
}

bool sh::settings::common::FileViewIconListThumbDimension::isAdvancedSetting()
{
    return true;
}

void sh::settings::common::FileViewIconListThumbDimension::setValue(sh::ui::fileview::FileViewControl *filelist, QString value )
{
    filelist->setIconDimension(value.toInt());
}

QString sh::settings::common::FileViewIconListThumbDimension::getValue(sh::ui::fileview::FileViewControl *filelist )
{
    return QString("%1").arg(filelist->iconDimension());
}

bool sh::settings::common::FileViewIconListThumbDimension::isGlobal()
{
    return false;
}

bool sh::settings::common::FileViewIconListThumbDimension::isPerFileview()
{
    return true;
}

QString sh::settings::common::FileViewIconListThumbDimension::valueDescription(QString value)
{
    int v = value.toInt();
    return QString(v<0?"-%1":"+%1").arg(std::abs(v));
}
