#-------------------------------------------------
#
# Project created by QtCreator 2013-12-08T12:58:42
#
#-------------------------------------------------

QT       += core gui xml widgets concurrent

TARGET = shallot
TEMPLATE = app

#CONFIG += PYTHONSCRIPT

#CONFIG += INOTIFY

#CONFIG += GIO

#CONFIG += LIBSECRET

CONFIG(debug, debug|release) {
    CONFIG += BENCHMARKING
}

PYTHONSCRIPT {
    unix {
        QMAKE_LFLAGS += $$system(python3-config --ldflags) -rdynamic
        QMAKE_CXXFLAGS += $$system(python3-config --cflags)
        LIBS += $$system(python3-config --libs)
    }
    win32 {
        QMAKE_LFLAGS += -LC:/Python34/libs
        QMAKE_CXXFLAGS += -Ic:/python34/include
        LIBS += c:/python34/libs/python34.lib -lpython34
    }
    DEFINES += PYTHONSCRIPT
    EXTRA_BINFILES += shallot.py
}

win32 {
    LIBS += -lole32
}

INOTIFY {
    DEFINES += INOTIFY
}

BENCHMARKING {
    QMAKE_CXXFLAGS += -DBENCHMARKING
}

GIO {
    CONFIG += link_pkgconfig
    PKGCONFIG += gio-2.0
    DEFINES += GIO
}

LIBSECRET {
    CONFIG += link_pkgconfig
    PKGCONFIG += libsecret-1
    DEFINES += LIBSECRET
}

QMAKE_CXXFLAGS += "-std=c++11"

# get nice stacktraces
unix {
    QMAKE_LFLAGS += "-rdynamic"
    QMAKE_CXXFLAGS += "-g"
}

TRANSLATIONS   += i18n/shallot_de.ts
EXTRA_BINFILES_I18N += i18n/shallot_de.qm

EXTRA_BINFILES += mime.types
EXTRA_BINFILES += mime.2.types
EXTRA_BINFILES += scripting.pdf

DESTDIR = $${OUT_PWD} # otherwise qt for windows makes weird subdirectory things

SOURCES += main.cpp\
    base/eurl.cpp \
    base/filesystemnode.cpp \
    base/filesystemhandler.cpp \
    base/filesystemhandlerregister.cpp \
    base/operation.cpp \
    base/filesystemmodel.cpp \
    filesystemhandlers/localfilesystemhandler.cpp \
    base/filesystemnodelist.cpp \
    base/filesystemmodeldirectorytreeproxy.cpp \
    ui/filesystempanel.cpp \
    base/filesystemmodelfileviewproxy.cpp \
    tools/threaddispatcher.cpp \
    ui/toolbarbutton.cpp \
    tools/threadpool.cpp \
    actions/abstractactionitem.cpp \
    actions/separatoractionitem.cpp \
    actions/submenuactionitem.cpp \
    actions/actionactionitem.cpp \
    ui/fileview/filelist.cpp \
    tools/dataexchange.cpp \
    actions/common/actioncopytree.cpp \
    actions/actionexecutioninfo.cpp \
    ui/actionexecutioninfodialog.cpp \
    actions/common/actionclipboard.cpp \
    actions/common/actionopenterminal.cpp \
    tools/iconmanager.cpp \
    filesystemhandlers/sharcfilesystemhandler.cpp \
    exceptions/exception.cpp \
    exceptions/ioexception.cpp \
    actions/common/actionopensharcarchive.cpp \
    exceptions/argumentexception.cpp \
    actions/common/actiondeleteitems.cpp \
    ui/jumpbar.cpp \
    scripting/scriptingengine.cpp \
    base/detailcolumn.cpp \
    exceptions/threadingexception.cpp \
    scripting/pythonscriptinterpreter.cpp \
    actions/actionsmanager.cpp \
    tools/filetypes/filetypemanager.cpp \
    tools/filetypes/unixfiletoolmimetypedeterminationmethod.cpp \
    tools/filetypes/freedesktoporgtoolsmimetypedeterminationmethod.cpp \
    actions/common/actionopenfile.cpp \
    ui/mainwindow.cpp \
    settings/settingsmanager.cpp \
    settings/setting.cpp \
    ui/settinguiframe.cpp \
    settings/profilenode.cpp \
    settings/settingsregistration.cpp \
    settings/common/sizeformattingmode.cpp \
    ui/storeprofiledialog.cpp \
    settings/common/windowtitle.cpp \
    ui/manageprofilesdialog.cpp \
    ui/linkbutton.cpp \
    settings/common/showtree.cpp \
    ui/tuningdialog.cpp \
    settings/common/showhiddenfiles.cpp \
    tools/filetypes/freedesktoporgtoolsopenmethoddeterminationmethod.cpp \
    actions/common/actionopenfilewith.cpp \
    settings/common/stickytreeview.cpp \
    scripting/api.cpp \
    tools/filetypes/suffixlistmimetypedeterminationmethod.cpp \
    actions/common/actionrenameitem.cpp \
    actions/common/actioncreatefolder.cpp \
    settings/common/numberoffilepanels.cpp \
    detailcolumns/detailcolumnmimetype.cpp \
    detailcolumns/detailcolumndirectsymlinktarget.cpp \
    detailcolumns/detailcolumnresolvedsymlink.cpp \
    detailcolumns/detailcolumnfilesize.cpp \
    tools/mainthread.cpp \
    tools/logger.cpp \
    ui/logviewdialog.cpp \
    actions/common/actionmovetree.cpp \
    exceptions/programexception.cpp \
    exceptions/runtimeexception.cpp \
    exceptions/permissiondeniedexception.cpp \
    ui/exceptiondialog.cpp \
    tools/singletoninitializer.cpp \
    scripting/api/apifilesystemhandler.cpp \
    scripting/api/apihelpermethods.cpp \
    scripting/api/apiglobalobject.cpp \
    ui/feedbackpanels/msgbox.cpp \
    ui/feedbackpanels/feedbackpanel.cpp \
    actions/actionexecutionuserfeedback.cpp \
    ui/actionexecutioninfopanel.cpp \
    ui/feedbackpanels/gridform.cpp \
    ui/feedbackpanels/helpers/gridforminnersimplechooser.cpp \
    actions/common/actionabstracttransfertree.cpp \
    tools/benchmarking.cpp \
    base/filesystemmodelsubtreeproxy.cpp \
    actions/common/actioncreatefile.cpp \
    tools/atomiccounter.cpp \
    tools/datastream.cpp \
    scripting/api/apireaddatadevice.cpp \
    scripting/api/apiaction.cpp \
    scripting/api/apidetailcolumn.cpp \
    ui/columndimensions.cpp \
    detailcolumns/detailcolumnmtime.cpp \
    ui/aboutdialog.cpp \
    filesystemhandlers/archivefilesystemhandler.cpp \
    actions/common/actionopenarchive.cpp \
    tools/historytracker.cpp \
    actions/common/actionnavigation.cpp \
    tools/visibleviews.cpp \
    tools/localfilesystemwatcher.cpp \
    ui/fileview/fileiconview.cpp \
    ui/fileview/fileview.cpp \
    ui/fileview/fileviewevents.cpp \
    ui/fileview/filevieweventsimpl.cpp \
    tools/thumbnailmanager.cpp \
    tools/operationscache.cpp \
    configuration/configurationmanager.cpp \
    configuration/uistyle.cpp \
    configuration/configurationvalue.cpp \
    configuration/configurationvaluetype.cpp \
    settings/common/fileviewviewmode.cpp \
    settings/common/fileviewpath.cpp \
    actions/viewmenu/actionview.cpp \
    actions/mainmenu/actionmain.cpp \
    actions/viewmenu/actionfileviewview.cpp \
    actions/viewmenu/actionfileviewfilesizeformatting.cpp \
    actions/viewmenu/actionfileviewshowhiddenfiles.cpp \
    actions/viewmenu/actionshowfoldertree.cpp \
    actions/viewmenu/actiontreestickyness.cpp \
    actions/viewmenu/actionnumberfileviews.cpp \
    actions/mainmenu/actionsetwindowtitlepattern.cpp \
    actions/mainmenu/actionsavesettings.cpp \
    actions/mainmenu/actionmanagesavedsettings.cpp \
    actions/mainmenu/actionapplyprofile.cpp \
    actions/mainmenu/actiontuning.cpp \
    actions/mainmenu/actionrefresh.cpp \
    actions/mainmenu/actionshowlog.cpp \
    actions/mainmenu/actionabout.cpp \
    actions/mainmenu/actionquit.cpp \
    actions/mainmenu/actionhelp.cpp \
    ui/fileview/fileviewcontrol.cpp \
    ui/openwithdialog.cpp \
    scripting/api/apipredicatedactionfactory.cpp \
    scripting/api/apisetting.cpp \
    base/filesystemoperation.cpp \
    ui/filedetailspanel.cpp \
    paneldetails/paneldetailmanager.cpp \
    paneldetails/commonpaneldetails.cpp \
    settings/common/filedetailspanelvisible.cpp \
    actions/viewmenu/actionshowdetailpanel.cpp \
    scripting/api/apipaneldetailfactory.cpp \
    filesystemhandlers/gnomeiofilesystemhandler.cpp \
    filesystemhandlers/gnomeionetworkfilesystemhandler.cpp \
    filesystemhandlers/gnomeiosmbfilesystemhandler.cpp \
    filesystemhandlers/gnomeiodevicesfilesystemhandler.cpp \
    filesystemhandlers/gnomeiogenericfilesystemhandler.cpp \
    ui/feedbackpanels/credentials.cpp \
    base/filesystemoperationtransfers.cpp \
    scripting/api/apifilesystemoperationprogressmonitor.cpp \
    detailcolumns/detailcolumnextendedattributes.cpp \
    ui/filepropertydialog/filepropertydialog.cpp \
    actions/common/actionshowproperties.cpp \
    ui/filepropertydialog/filepropertydialogtabgeneral.cpp \
    ui/filepropertydialog/filepropertydialogtabextendedattributes.cpp \
    scripting/api/apifilepropertydialogtab.cpp \
    ui/filepropertydialog/filepropertydialogtabtableview.cpp \
    ui/filepropertydialog/filepropertydialogtabactionsview.cpp \
    ui/filepropertydialog/filepropertydialogtabunixpermissions.cpp \
    detailcolumns/detailcolumncustomattributes.cpp \
    ui/feedbackpanels/unixpermissions.cpp \
    filesystemhandlers/windowsnetworkfilesystemhandler.cpp \
    ui/filepropertydialog/filepropertydialogtabwindows.cpp \
    actions/viewmenu/actiongotodirectory.cpp \
    search/searchmanager.cpp \
    search/search.cpp \
    search/searchfilesystemhandler.cpp \
    actions/mainmenu/actionsearch.cpp \
    search/searchconfiguration.cpp \
    search/searchcriterion.cpp \
    search/searchcustomui.cpp \
    search/searchcriterionfactory.cpp \
    search/searchcriterionfactoryfromfunction.cpp \
    search/criteria/filenamesearchcriterion.cpp \
    search/criteria/filecontentsearchcriterion.cpp \
    search/criteria/abstractstringsearchcriterion.cpp \
    search/criteria/mtimesearchcriterion.cpp \
    search/criteria/extendedattributesearchcriterion.cpp \
    scripting/api/apithread.cpp \
    scripting/api/apitimer.cpp \
    ui/icontextbanner.cpp \
    search/criteria/abstractactiondrivensearchcriterion.cpp \
    scripting/api/apisearchcriterion.cpp \
    scripting/api/apithumbnailprovider.cpp \
    actions/common/actionbookmarks.cpp \
    tools/bookmarkmanager.cpp \
    ui/managebookmarksdialog.cpp \
    actions/actionfactory.cpp \
    actions/actioncategory.cpp \
    actions/common/actiongroups.cpp \
    actions/headeractionitem.cpp \
    actions/common/actionopendirectoryinnewwindow.cpp \
    settings/common/fileviewiconlistthumbdimension.cpp \
    actions/viewmenu/actionfileviewchangeicondimension.cpp \
    tools/accounts/accountsmanager.cpp \
    tools/accounts/abstractaccountsprovider.cpp \
    tools/accounts/fallbackaccountsprovider.cpp \
    tools/accounts/libsecretaccountsprovider.cpp \
    tools/thumbnailproviders/defaultimagethumbnailprovider.cpp \
    tools/thumbnailproviders/plaintextthumbnailprovider.cpp \
    tools/filetypes/freedesktoporgmimetypeinformationretrievalstrategy.cpp \
    tools/filetypes/userdefinedopenmethoddeterminationstrategy.cpp \
    tools/thumbnailproviders/ffmpegvideothumbnailprovider.cpp \
    tools/thumbnailproviders/imagemagickpdfthumbnailprovider.cpp \
    actions/common/actionexecute.cpp \
    base/filesystemmodeldirectorytreeproxyvisibilityenforcements.cpp \
    tools/localfilesystemwatcherconnector.cpp

HEADERS  += \
    base/eurl.h \
    base/filesystemnode.h \
    base/filesystemhandler.h \
    base/filesystemhandlerregister.h \
    base/operation.h \
    base/filesystemmodel.h \
    filesystemhandlers/localfilesystemhandler.h \
    base/filesystemnodelist.h \
    base/filesystemmodeldirectorytreeproxy.h \
    ui/filesystempanel.h \
    base/filesystemmodelfileviewproxy.h \
    tools/threaddispatcher.h \
    ui/toolbarbutton.h \
    tools/threadpool.h \
    actions/abstractactionitem.h \
    actions/separatoractionitem.h \
    actions/submenuactionitem.h \
    actions/actionactionitem.h \
    ui/fileview/filelist.h \
    tools/dataexchange.h \
    actions/common/actioncopytree.h \
    actions/actionexecutioninfo.h \
    ui/actionexecutioninfodialog.h \
    actions/common/actionclipboard.h \
    actions/common/actionopenterminal.h \
    tools/iconmanager.h \
    filesystemhandlers/sharcfilesystemhandler.h \
    exceptions/exception.h \
    exceptions/ioexception.h \
    actions/common/actionopensharcarchive.h \
    exceptions/argumentexception.h \
    actions/common/actiondeleteitems.h \
    ui/jumpbar.h \
    scripting/scriptingengine.h \
    base/detailcolumn.h \
    exceptions/threadingexception.h \
    scripting/pythonscriptinterpreter.h \
    actions/actionsmanager.h \
    tools/filetypes/filetypemanager.h \
    tools/filetypes/unixfiletoolmimetypedeterminationmethod.h \
    tools/filetypes/freedesktoporgtoolsmimetypedeterminationmethod.h \
    actions/common/actionopenfile.h \
    ui/mainwindow.h \
    settings/settingsmanager.h \
    settings/setting.h \
    ui/settinguiframe.h \
    settings/profilenode.h \
    settings/settingsregistration.h \
    settings/common/sizeformattingmode.h \
    ui/storeprofiledialog.h \
    settings/common/windowtitle.h \
    ui/manageprofilesdialog.h \
    ui/linkbutton.h \
    settings/common/showtree.h \
    ui/tuningdialog.h \
    settings/common/showhiddenfiles.h \
    tools/filetypes/freedesktoporgtoolsopenmethoddeterminationmethod.h \
    actions/common/actionopenfilewith.h \
    settings/common/stickytreeview.h \
    scripting/api.h \
    tools/filetypes/suffixlistmimetypedeterminationmethod.h \
    actions/common/actionrenameitem.h \
    actions/common/actioncreatefolder.h \
    settings/common/numberoffilepanels.h \
    detailcolumns/detailcolumnmimetype.h \
    detailcolumns/detailcolumndirectsymlinktarget.h \
    detailcolumns/detailcolumnresolvedsymlink.h \
    detailcolumns/detailcolumnfilesize.h \
    tools/mainthread.h \
    tools/logger.h \
    ui/logviewdialog.h \
    actions/common/actionmovetree.h \
    exceptions/programexception.h \
    exceptions/runtimeexception.h \
    exceptions/permissiondeniedexception.h \
    ui/exceptiondialog.h \
    tools/singletoninitializer.h \
    scripting/api/apifilesystemhandler.h \
    scripting/api/apihelpermethods.h \
    scripting/api/apiglobalobject.h \
    ui/feedbackpanels/msgbox.h \
    ui/feedbackpanels/feedbackpanel.h \
    actions/actionexecutionuserfeedback.h \
    ui/actionexecutioninfopanel.h \
    ui/feedbackpanels/gridform.h \
    ui/feedbackpanels/helpers/gridforminnersimplechooser.h \
    actions/common/actionabstracttransfertree.h \
    tools/benchmarking.h \
    base/filesystemmodelsubtreeproxy.h \
    actions/common/actioncreatefile.h \
    tools/atomiccounter.h \
    tools/datastream.h \
    scripting/api/apireaddatadevice.h \
    scripting/api/apiaction.h \
    scripting/api/apidetailcolumn.h \
    ui/columndimensions.h \
    detailcolumns/detailcolumnmtime.h \
    ui/aboutdialog.h \
    filesystemhandlers/archivefilesystemhandler.h \
    actions/common/actionopenarchive.h \
    tools/historytracker.h \
    actions/common/actionnavigation.h \
    tools/visibleviews.h \
    tools/localfilesystemwatcher.h \
    ui/fileview/fileiconview.h \
    ui/fileview/fileview.h \
    ui/fileview/fileviewevents.h \
    ui/fileview/filevieweventsimpl.h \
    tools/thumbnailmanager.h \
    tools/operationscache.h \
    configuration/configurationmanager.h \
    configuration/uistyle.h \
    configuration/configurationvalue.h \
    configuration/configurationvaluetype.h \
    configuration/_projectinfo.h \
    settings/common/fileviewviewmode.h \
    settings/common/fileviewpath.h \
    actions/viewmenu/actionview.h \
    actions/mainmenu/actionmain.h \
    actions/viewmenu/actionfileviewview.h \
    actions/viewmenu/actionfileviewfilesizeformatting.h \
    actions/viewmenu/actionfileviewshowhiddenfiles.h \
    actions/viewmenu/actionshowfoldertree.h \
    actions/viewmenu/actiontreestickyness.h \
    actions/viewmenu/actionnumberfileviews.h \
    actions/mainmenu/actionsetwindowtitlepattern.h \
    actions/mainmenu/actionsavesettings.h \
    actions/mainmenu/actionmanagesavedsettings.h \
    actions/mainmenu/actionapplyprofile.h \
    actions/mainmenu/actiontuning.h \
    actions/mainmenu/actionrefresh.h \
    actions/mainmenu/actionshowlog.h \
    actions/mainmenu/actionabout.h \
    actions/mainmenu/actionquit.h \
    actions/mainmenu/actionhelp.h \
    ui/fileview/fileviewcontrol.h \
    ui/openwithdialog.h \
    scripting/api/apipredicatedactionfactory.h \
    scripting/api/apisetting.h \
    base/filesystemoperation.h \
    ui/filedetailspanel.h \
    paneldetails/paneldetailmanager.h \
    paneldetails/commonpaneldetails.h \
    settings/common/filedetailspanelvisible.h \
    actions/viewmenu/actionshowdetailpanel.h \
    scripting/api/apipaneldetailfactory.h \
    filesystemhandlers/gnomeiofilesystemhandler.h \
    filesystemhandlers/gnomeionetworkfilesystemhandler.h \
    filesystemhandlers/gnomeiosmbfilesystemhandler.h \
    filesystemhandlers/gnomeiodevicesfilesystemhandler.h \
    filesystemhandlers/gnomeiogenericfilesystemhandler.h \
    ui/feedbackpanels/credentials.h \
    base/filesystemoperationtransfers.h \
    scripting/api/apifilesystemoperationprogressmonitor.h \
    detailcolumns/detailcolumnextendedattributes.h \
    ui/filepropertydialog/filepropertydialog.h \
    actions/common/actionshowproperties.h \
    ui/filepropertydialog/filepropertydialogtabgeneral.h \
    ui/filepropertydialog/filepropertydialogtabextendedattributes.h \
    scripting/api/apifilepropertydialogtab.h \
    ui/filepropertydialog/filepropertydialogtabtableview.h \
    ui/filepropertydialog/filepropertydialogtabactionsview.h \
    ui/filepropertydialog/filepropertydialogtabunixpermissions.h \
    detailcolumns/detailcolumncustomattributes.h \
    ui/feedbackpanels/unixpermissions.h \
    filesystemhandlers/windowsnetworkfilesystemhandler.h \
    ui/filepropertydialog/filepropertydialogtabwindows.h \
    actions/viewmenu/actiongotodirectory.h \
    search/searchmanager.h \
    search/search.h \
    search/searchfilesystemhandler.h \
    actions/mainmenu/actionsearch.h \
    search/searchconfiguration.h \
    search/searchcriterion.h \
    search/searchcustomui.h \
    search/searchcriterionfactory.h \
    search/searchcriterionfactoryfromfunction.h \
    search/criteria/filenamesearchcriterion.h \
    search/criteria/filecontentsearchcriterion.h \
    search/criteria/abstractstringsearchcriterion.h \
    search/criteria/mtimesearchcriterion.h \
    search/criteria/extendedattributesearchcriterion.h \
    scripting/api/apithread.h \
    scripting/api/apitimer.h \
    ui/icontextbanner.h \
    search/criteria/abstractactiondrivensearchcriterion.h \
    scripting/api/apisearchcriterion.h \
    scripting/api/apithumbnailprovider.h \
    actions/common/actionbookmarks.h \
    tools/bookmarkmanager.h \
    ui/managebookmarksdialog.h \
    actions/actionfactory.h \
    actions/actioncategory.h \
    actions/common/actiongroups.h \
    actions/headeractionitem.h \
    actions/common/actionopendirectoryinnewwindow.h \
    settings/common/fileviewiconlistthumbdimension.h \
    actions/viewmenu/actionfileviewchangeicondimension.h \
    tools/accounts/accountsmanager.h \
    tools/accounts/abstractaccountsprovider.h \
    tools/accounts/fallbackaccountsprovider.h \
    tools/accounts/libsecretaccountsprovider.h \
    tools/thumbnailproviders/defaultimagethumbnailprovider.h \
    tools/thumbnailproviders/plaintextthumbnailprovider.h \
    tools/filetypes/freedesktoporgmimetypeinformationretrievalstrategy.h \
    tools/filetypes/userdefinedopenmethoddeterminationstrategy.h \
    tools/thumbnailproviders/ffmpegvideothumbnailprovider.h \
    tools/thumbnailproviders/imagemagickpdfthumbnailprovider.h \
    actions/common/actionexecute.h \
    base/filesystemmodeldirectorytreeproxyvisibilityenforcements.h \
    tools/localfilesystemwatcherconnector.h

FORMS    += \
    ui/filesystempanel.ui \
    ui/actionexecutioninfodialog.ui \
    ui/jumpbar.ui \
    ui/storeprofiledialog.ui \
    ui/manageprofilesdialog.ui \
    ui/mainwindow.ui \
    ui/tuningdialog.ui \
    ui/logviewdialog.ui \
    ui/exceptiondialog.ui \
    ui/feedbackpanels/msgbox.ui \
    ui/feedbackpanels/gridform.ui \
    ui/aboutdialog.ui \
    ui/openwithdialog.ui \
    ui/feedbackpanels/credentials.ui \
    ui/filepropertydialog/filepropertydialog.ui \
    ui/feedbackpanels/unixpermissions.ui \
    ui/managebookmarksdialog.ui

OTHER_FILES += \
    plugins/pluginmanager.py \
    _meta/_projectdesc \
    icons/dialog-close.512.from.elegant_font.png \
    icons/edit-copy.512.from.elegant_font.png \
    icons/edit-cut.512.from.own.png \
    icons/edit-find.512.from.elegant_font.png \
    icons/edit-delete.512.from.elegant_font.png \
    icons/edit-paste.512.from.elegant_font.png \
    icons/text-x-generic.512.from.elegant_font.png \
    icons/view-refresh.512.from.elegant_font.png \
    icons/window-close.512.from.elegant_font.png \
    icons/list-add.512.from.elegant_font.png \
    icons/folder.512.from.elegant_font.png \
    icons/folder-bookmark.512.from.elegant_font.png \
    icons/utilities-terminal.512.from.elegant_font.png \
    icons/configure.512.from.elegant_font.png \
    icons/help-hint.512.from.elegant_font.png \
    icons/edit-clear-list.512.from.elegant_font.png \
    icons/format-insert-node.512.from.elegant_font.png \
    icons/format-node-line.512.from.elegant_font.png \
    icons/format-remove-node.512.from.elegant_font.png \
    icons/arrow-right-double.512.from.elegant_font.png \
    icons/arrow-right.512.from.elegant_font.png \
    icons/arrow-left-double.512.from.elegant_font.png \
    icons/arrow-left.512.from.elegant_font.png \
    icons/arrow-up.512.from.elegant_font.png \
    icons/arrow-down.512.from.elegant_font.png \
    icons/dialog-ok.512.from.elegant_font.png \
    icons/transform-move.512.from.elegant_font.png \
    icons/format-join-node.512.from.elegant_font.png \
    icons/media-playback-start.512.from.elegant_font.png \
    icons/media-playback-stop.512.from.elegant_font.png \
    icons/rating.512.from.elegant_font.png \
    icons/rating-unrated.512.from.elegant_font.png \
    icons/preferences-system.512.from.elegant_font.png \
    icons/adjustlevels.512.from.elegant_font.png \
    icons/package-x-generic.512.from.elegant_font.png \
    icons/error-critical.512.from.elegant_font.png \
    icons/error-normal.512.from.elegant_font.png \
    icons/error-retryable.512.from.elegant_font.png \
    icons/dialog-error.512.from.elegant_font.png \
    icons/dialog-information.512.from.elegant_font.png \
    icons/dialog-password.512.from.elegant_font.png \
    icons/dialog-question.512.from.elegant_font.png \
    icons/dialog-warning.512.from.elegant_font.png \
    icons/islink.32.from.own.png \
    icons/plugins.512.from.own.png \
    icons/list-remove.512.from.elegant_font.png \
    icons/go-next.512.from.elegant_font.png \
    icons/go-previous.512.from.elegant_font.png \
    icons/view.512.from.elegant_font.png \
    icons/drive-removable-media.512.from.own.png \
    icons/network-server.512.from.own.png \
    icons/offline.512.from.elegant_font.png \
    icons/online.512.from.elegant_font.png \
    icons/bookmarks-organize.512.from.elegant_font.png \
    icons/tool-pointer.512.from.elegant_font.png \
    icons/zoom-in.512.from.elegant_font.png \
    icons/zoom-out.512.from.elegant_font.png \
    mime.types \
    mime.2.types \
    shallot.py \
    scripting.pdf \
    _meta/readme.src \
    _meta/readme.scripting.src \
    scriptsamples/01.action.py \
    scriptsamples/02.configurationvalue.py \
    scriptsamples/03.action.advanced.py \
    scriptsamples/04.userfeedback.py \
    scriptsamples/05.setting.py \
    scriptsamples/06.mainwindow.py \
    scriptsamples/07.eurl.py \
    scriptsamples/08.filesystemnode.py \
    scriptsamples/09.operation.py \
    scriptsamples/10.filesystem.py \
    scriptsamples/11.paneldetails.py \
    scriptsamples/12.filesystemoperations.py \
    scriptsamples/13.filesystemoperations.advanced.py \
    scriptsamples/14.filepropertydialogtab.py \
    scriptsamples/15.searchcriterion.py \
    scriptsamples/16.thumbnailprovider.py \
    scriptsamples/17.bookmarks.py \
    scriptsamples/50.hide.filesystemnodes.py \
    scriptsamples/51.threadedreaddatadevice.py

RESOURCES += \
    resources.qrc

for(FILE, OTHER_FILES) {
    D="icons/"
    exists($${D}/$$replace(FILE,$$D,"")){
        EXTRA_BINFILES_ICONS += $$FILE
    }
}

for(FILE, OTHER_FILES) {
    D="scriptsamples/"
    exists($${D}/$$replace(FILE,$$D,"")){
        EXTRA_BINFILES_SCRIPTSAMPLES += $$FILE
    }
}

for(FILE, OTHER_FILES) {
    D="plugins/"
    exists($${D}/$$replace(FILE,$$D,"")){
        EXTRA_BINFILES_PLUGINS += $$FILE
    }
}

isEmpty(OTHER_FILES_DESTINATION) {
    OTHER_FILES_DESTINATION = $${OUT_PWD}
}

defineReplace(copyDataFile){
    file = $$1
    tgt = $$2
    dest = $$3
    !equals(PWD, $${tgt}) {
        return ($$quote($${QMAKE_COPY} $$shell_path($${PWD}/$${file}) $$shell_path($${tgt}$${dest})$$escape_expand(\n\t)))
    }
}

defineReplace(createDir){
    name = $$1
    tgt = $$2
    !equals(PWD, $${tgt}) {
        return ($$quote($$sprintf($${QMAKE_MKDIR_CMD}, $$shell_path($${tgt}/$${name}))$$escape_expand(\n\t)))
    }
}

extrafilesinstall.path = /usr/local/shallot
extrafilesinstall.files =

for(FILE, EXTRA_BINFILES) {
    extrafilesinstall.extra += $$copyDataFile($${FILE}, $${extrafilesinstall.path}, "")
    extrafiles.commands += $$copyDataFile($${FILE}, $${OTHER_FILES_DESTINATION}, "")
}
extrafilesinstall.extra += $$createDir("plugins", $${extrafilesinstall.path})
extrafiles.commands += $$createDir("plugins", $${OTHER_FILES_DESTINATION})
for(FILE, EXTRA_BINFILES_PLUGINS) {
    extrafilesinstall.extra += $$copyDataFile($${FILE}, $${extrafilesinstall.path}, "/plugins")
    extrafiles.commands += $$copyDataFile($${FILE}, $${OTHER_FILES_DESTINATION}, "/plugins")
}
extrafilesinstall.extra += $$createDir("i18n", $${extrafilesinstall.path})
extrafiles.commands += $$createDir("i18n", $${OTHER_FILES_DESTINATION})
for(FILE, EXTRA_BINFILES_I18N) {
    extrafilesinstall.extra += $$copyDataFile($${FILE}, $${extrafilesinstall.path}, "/i18n")
    extrafiles.commands += $$copyDataFile($${FILE}, $${OTHER_FILES_DESTINATION}, "/i18n")
}
extrafilesinstall.extra += $$createDir("icons", $${extrafilesinstall.path})
extrafiles.commands += $$createDir("icons", $${OTHER_FILES_DESTINATION})
for(FILE, EXTRA_BINFILES_ICONS) {
    extrafilesinstall.extra += $$copyDataFile($${FILE}, $${extrafilesinstall.path}, "/icons")
    extrafiles.commands += $$copyDataFile($${FILE}, $${OTHER_FILES_DESTINATION}, "/icons")
}
extrafilesinstall.extra += $$createDir("scriptsamples",$${extrafilesinstall.path})
extrafiles.commands += $$createDir("scriptsamples", $${OTHER_FILES_DESTINATION})
for(FILE, EXTRA_BINFILES_SCRIPTSAMPLES) {
    extrafilesinstall.extra += $$copyDataFile($${FILE}, $${extrafilesinstall.path}, "/scriptsamples")
    extrafiles.commands += $$copyDataFile($${FILE}, $${OTHER_FILES_DESTINATION}, "/scriptsamples")
}

QMAKE_EXTRA_TARGETS += extrafiles
POST_TARGETDEPS += extrafiles
target.path = /usr/local/shallot
INSTALLS += extrafilesinstall target

DISTFILES += \
    scriptsamples/50.hide.filesystemnodes.py \
    scriptsamples/51.threadedreaddatadevice.py
