/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SUFFIXLISTMIMETYPEDETERMINATIONMETHOD_H
#define SUFFIXLISTMIMETYPEDETERMINATIONMETHOD_H

#include "filetypemanager.h"


namespace sh {
    namespace tools {
        namespace filetypes {

            /** \brief Tries to determine a file's mimetype with an internal lookup table of file extensions.
             */
            class SuffixListMimetypeDeterminationStrategy : public sh::tools::filetypes::FileTypeManager::MimetypeDeterminationStrategy
            {
            public:
                SuffixListMimetypeDeterminationStrategy();
                QMap<std::shared_ptr<const sh::base::Eurl>, QString> determineMimetype(sh::base::Operation* op, QList<std::shared_ptr<const sh::base::Eurl>> items);
            private:
                QMap<QString, QString> _suffixToMimetype;
            };

        }
    }
}

#endif // SUFFIXLISTMIMETYPEDETERMINATIONMETHOD_H
