/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef CREDENTIALS_H
#define CREDENTIALS_H

#include "feedbackpanel.h"


namespace Ui {
class Credentials;
}

namespace sh{
    namespace ui{
        namespace feedbackpanels {

            class Credentials : public sh::ui::feedbackpanels::FeedbackPanel
            {
                Q_OBJECT

            public:
                explicit Credentials(QString domain, QString username, QString password, QString text, bool showDomain, bool showUsername, bool showPassword, bool showAnonymous, bool showRemember);
                ~Credentials();

                QString domain;
                QString username;
                QString password;
                bool anonymous;
                bool remember;
                bool accepted;
                void cancelRequested();

            private slots:
                void on_chkAnonymous_toggled(bool checked);
                void on_pushButton_3_clicked();
                void on_pushButton_4_clicked();

            private:
                Ui::Credentials *ui;
            };

        }
    }
}

#endif // CREDENTIALS_H
