/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FEEDBACKPANEL_H
#define FEEDBACKPANEL_H

#include <QMutex>
#include <QWaitCondition>
#include <QWidget>


namespace sh{
    namespace ui{
        namespace feedbackpanels {

            class FeedbackPanel : public QWidget
            {
                Q_OBJECT
            public:
                explicit FeedbackPanel(QWidget *parent = 0);
                bool isClosed();
                void waitUntilClosed();
                virtual int preferredHeight();
                virtual void cancelRequested() = 0;

            signals:
                void wasClosed();

            protected:
                void setClosed();

            private:
                QMutex _mutex;
                QWaitCondition _closedcondition;
                bool _closed = false;

            public slots:

            };

        }
    }
}

#endif // FEEDBACKPANEL_H
