/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GRIDFORM_H
#define GRIDFORM_H

#include <QMap>
#include <QPair>
#include <QPushButton>
#include "feedbackpanel.h"


namespace Ui {
class GridForm;
}

namespace sh{
    namespace ui{
        namespace feedbackpanels {

            typedef QPair<QString,QWidget*>  GridFormRow;

            class GridForm : public sh::ui::feedbackpanels::FeedbackPanel
            {
                Q_OBJECT

            public:
                explicit GridForm(QString text, QList<sh::ui::feedbackpanels::GridFormRow> form, QStringList answers, int defaultanswer=-1, int cancelanswer=-1, QWidget *parent = 0);
                int answer = -1;
                ~GridForm();
                int preferredHeight();
                void cancelRequested();

            protected:
                void showEvent(QShowEvent* event);

            private slots:
                void slot_btnclicked();

            private:
                Ui::GridForm *ui;
                QMap<QPushButton*, int> btn2index;
                QPushButton* _cancelBtn = 0;
                QPushButton* _defaultBtn = 0;
            };

        }
    }
}

#endif // GRIDFORM_H

