/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef UNIXPERMISSIONS_H
#define UNIXPERMISSIONS_H

#include <QStandardItemModel>
#include <QWidget>
#include "feedbackpanel.h"


namespace Ui {
class UnixPermissions;
}

namespace sh{
    namespace ui{
        namespace feedbackpanels {

            class UnixPermissions : public sh::ui::feedbackpanels::FeedbackPanel
            {
                Q_OBJECT

            public:
                explicit UnixPermissions(QWidget *parent = 0);
                ~UnixPermissions();
                virtual void cancelRequested();

                void setflags(bool userMayRead, bool userMayWrite, bool userMayExecute, bool groupMayRead, bool groupMayWrite, bool groupMayExecute,
                         bool othersMayRead, bool othersMayWrite, bool othersMayExecute, bool sticky, bool setuid, bool setgid);

                void setusers(QStringList users, QString selecteduser);
                void setgroups(QStringList groups, QString selectedgroup);

                bool accepted;

                bool userMayRead;
                bool userMayWrite;
                bool userMayExecute;

                bool groupMayRead;
                bool groupMayWrite;
                bool groupMayExecute;

                bool othersMayRead;
                bool othersMayWrite;
                bool othersMayExecute;

                bool sticky;
                bool setuid;
                bool setgid;

                QString user;
                QString group;

            private slots:
                void on_pushButton_clicked();
                void on_pushButton_2_clicked();

            private:
                Ui::UnixPermissions *ui;
            };

        }
    }
}

#endif // UNIXPERMISSIONS_H
