/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "ui/linkbutton.h"
#include "filepropertydialogtabactionsview.h"


sh::ui::filepropertydialog::FilePropertyDialogTabActionsView::FilePropertyDialogTabActionsView(QWidget* parent)
            : QWidget(parent)
{
    layout = new QVBoxLayout(this);
    layout->setContentsMargins(0, 0, 0, 0);
    setLayout(layout);
    QWidget* win = new QWidget(parent);
    inlayout = new QVBoxLayout(win);
    inlayout->setContentsMargins(0, 0, 0, 0);
    win->setLayout(inlayout);
    QWidget* wbtns = new QWidget(parent);
    btnslayout = new QVBoxLayout(wbtns);
    btnslayout->setContentsMargins(0, 0, 0, 0);
    wbtns->setLayout(btnslayout);
    layout->addWidget(win);
    layout->addWidget(wbtns);
}

QWidget* sh::ui::filepropertydialog::FilePropertyDialogTabActionsView::content()
{
    if (inlayout->count() == 0)
        return 0;
    return inlayout->itemAt(0)->widget();
}

void sh::ui::filepropertydialog::FilePropertyDialogTabActionsView::setContent(QWidget* w)
{
    if (inlayout->count() > 0)
        inlayout->removeItem(inlayout->itemAt(0));
    inlayout->addWidget(w);
}

QList<QString> sh::ui::filepropertydialog::FilePropertyDialogTabActionsView::buttons()
{
    return _buttons;
}

void sh::ui::filepropertydialog::FilePropertyDialogTabActionsView::setButtons(QList<QString> buttons)
{
    _buttons = buttons;
    while(btnslayout->count() > 0)
        btnslayout->removeItem(btnslayout->itemAt(0));
    foreach(QString btntext, buttons)
    {
        sh::ui::LinkButton* btn = new sh::ui::LinkButton(this);
        btn->setText(btntext);
        btnslayout->addWidget(btn);
        connect(btn, &sh::ui::LinkButton::clicked, this, [=](){
            emit buttonTriggered(btnslayout->indexOf(qobject_cast<QWidget*>(sender())));
        });
    }
}
