/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FILEPROPERTYDIALOGTABWINDOWS_H
#define FILEPROPERTYDIALOGTABWINDOWS_H

#include <QLabel>
#include "actions/actionactionitem.h"
#include "filepropertydialog.h"


namespace sh{
    namespace ui {
        namespace filepropertydialog {

            /** @brief Properties dialog tab for unix permissions.
             */
            class FilePropertyDialogTabWindows : public FilePropertyDialogTab
            {
#ifdef Q_OS_WIN
            public:
                FilePropertyDialogTabWindows();
                virtual QString title();
                virtual QList<QString> properties();
                virtual QWidget* createWidget(int i);
                virtual void updateWidget(int i, QWidget *widget, sh::base::Operation *op);

                /** \brief
                 * Only called by the Shallot infrastructure for initialization.
                 */
                static void _initialize();
                /** \brief
                 * Only called by the Shallot infrastructure for shutdown.
                 */
                static void _shutdown();

            private:
                void slot_buttontriggered(int i);

                class ActionOpenWindowsPropertiesDialog : public sh::actions::ActionActionItem
                {
                public:
                    ActionOpenWindowsPropertiesDialog(std::shared_ptr<sh::ui::filepropertydialog::FilePropertyDialogTabWindows> tab);
                protected:
                    virtual void action(sh::actions::ActionExecutionInfo* info);
                    std::shared_ptr<sh::ui::filepropertydialog::FilePropertyDialogTabWindows> tab;
                };
#endif
            };

        }
    }
}

#endif // FILEPROPERTYDIALOGTABWINDOWS_H
