/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef LOGVIEWDIALOG_H
#define LOGVIEWDIALOG_H

#include <QDialog>
#include <QFileDialog>
#include <QMenu>
#include "tools/logger.h"


namespace Ui {
class LogViewDialog;
}

namespace sh{
    namespace ui {

        /** \brief
         * The 'Show log' dialog.
         */
        class LogViewDialog : public QDialog
        {
            Q_OBJECT

        public:
            explicit LogViewDialog(QWidget *parent = 0, QString headtext=QString(), QString subheadtxt=QString(), sh::tools::LogSeverity minseverity=sh::tools::LogSeverity::INFO);
            ~LogViewDialog();

        private slots:
            void on_btnClose_clicked();
            void on_btnSaveToFile_clicked();

            void on_btnSeverity_clicked();

        private:
            Ui::LogViewDialog *ui;
            void _reloadLog();
            sh::tools::LogSeverity _minseverity;
            void setMinimumSeverity(sh::tools::LogSeverity minseverity);
        };

    }
}

#endif // LOGVIEWDIALOG_H
