/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MANAGEBOOKMARKSDIALOG_H
#define MANAGEBOOKMARKSDIALOG_H

#include <QDialog>
#include <QMessageBox>
#include <QPair>


namespace Ui {
class ManageBookmarksDialog;
}

namespace sh {
    namespace ui {

        /**
         * @brief The 'Manage bookmarks' dialog.
         */
        class ManageBookmarksDialog : public QDialog
        {
            Q_OBJECT

        public:
            explicit ManageBookmarksDialog(QWidget *parent = 0);
            ~ManageBookmarksDialog();

        private slots:
            void on_btnClose_clicked();
            void on_treeWidget_itemSelectionChanged();
            void on_btnDelete_clicked();
            void on_edtLabel_textChanged(const QString &arg1);
            void on_edtLocation_textChanged(const QString &arg1);
            void on_btnStore_clicked();
            void on_btnNew_clicked();
            void on_btnUp_clicked();
            void on_btnDown_clicked();
            void on_btnMove_clicked();

        private:
            Ui::ManageBookmarksDialog *ui;
            void readBookmarks();
            void _refresh_values();
            void _selectbookmark(QString id);
            void _selectfolder(QStringList name);
        };

    }
}

#endif // MANAGEBOOKMARKSDIALOG_H
