/*
Shallot is a Qt based file manager.
Copyright (C) 2014-2018 Josef Hahn

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MANAGEPROFILESDIALOG_H
#define MANAGEPROFILESDIALOG_H

#include <QDialog>
#include <QFrame>
#include <QKeyEvent>
#include <QListWidget>
#include <QMessageBox>
#include <QStringListModel>


namespace Ui {
class ManageProfilesDialog;
}

namespace sh{
    namespace settings{class ProfileNode;}

    namespace ui {

        /** \brief
         * The 'Manage saved settings' dialog.
         */
        class ManageProfilesDialog : public QDialog
        {
            Q_OBJECT

        public:
            explicit ManageProfilesDialog(QWidget *parent = 0);
            ~ManageProfilesDialog();

        private slots:
            void on_comboBox_currentTextChanged(const QString &arg1);
            void on_btnClose_clicked();
            void on_btnDelNode_clicked();
            void on_btnDelProfile_clicked();
            void slot_listViewactivated(QListWidgetItem *, QListWidgetItem *);

        protected:
            void keyPressEvent(QKeyEvent *event);
            void resizeEvent(QResizeEvent* event);

        private:
            Ui::ManageProfilesDialog *ui;
            QStringListModel* _model;
            sh::settings::ProfileNode* _currentNode = 0;
            QMap<QListWidgetItem*, QString> _nodes;
            void _createProfileList(bool selectCurrent);
            void _createSettingsList();
            void _createNodesList();
        };

    }
}

#endif // MANAGEPROFILESDIALOG_H
